# $Revision: 1.11 $, $Date: 2004/12/23 20:45:55 $

%define 	module	Durus

Summary:	Durus - a persistent object system for applications written in the Python programming language
Summary(pl):	Durus - system przechowywania obiektw aplikacji napisanych w jzyku programowania Python
Name:		python-%{module}
Version:	1.3
Release:	2
License:	CNRI
Group:		Libraries/Python
Source0:	http://www.mems-exchange.org/software/files/durus/%{module}-%{version}.tar.gz
# Source0-md5:	93dd42aa838c9ca307b0d1429c271224
URL:		http://www.mems-exchange.org/software/durus/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Durus is a system that offers an easy way to use and maintain a
consistent collection of object instances used by one or more
processes. Access and change of a persistent instances is managed
through a cached Connection instance which includes commit() and
abort() methods so that changes are transactional. Durus is best
suited to collections of less than a million instances with relatively
stable state.

%description -l pl
Durus jest system umoliwiajcym uywanie i zarzdzanie w atwy sposb
kolekcj obiektw uywanych przez jeden lub wicej procesw. Dostp do
obiektw i ich modyfikacje zarzdzane s przy pomocy przechowywanych
stale w pamici obiektw pocze umoliwiajcych wykonywanie
transakcyjnych operacji na obiektach. Durus najlepiej sprawdza si
przy bazach, ktre nie zawieraj wicej ni milion obiektw z
relatywnie stabilnym stanem.

%package -n Durus-utils
Summary:	Utility programs for Durus system
Summary(pl):	Programy narzdziowe systemu Durus
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	Durus-client
Obsoletes:	Durus-server

%description -n Durus-utils
This package contains utility programs for Durus system. It contains
simple Python script with both client and server functionality.

%description -n Durus-utils -l pl
Programy nardzdziowe systemu Durus. Pakiet ten zawiera prosty skrypt
udostpniajcy funkcjonalno zarwno klienta jaki i serwera systemu
Durus.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{py_sitedir},%{_mandir}/man1}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitedir} \
	--optimize=2

cp -a doc/durus.1 $RPM_BUILD_ROOT%{_mandir}/man1
find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKS.txt CHANGES.txt LICENSE.txt README.txt doc/{FAQ.txt,FAQ.html,default.css}
%{py_sitedir}/durus

%files -n Durus-utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/durus
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Durus.spec,v $
Revision 1.11  2004/12/23 20:45:55  saq
- fixed reqs
- release 2 for rebuild with python 2.4

Revision 1.10  2004/12/17 16:49:41  ankry
- tab

Revision 1.9  2004/12/17 16:32:59  darekr
- updated to 1.3
- BR python-modules

Revision 1.8  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.7  2004/09/13 08:14:53  qboosh
- Obsoletes for old packages, files fix, release 3

Revision 1.6  2004/09/11 06:16:01  zboczuch
- man file for client-server program i mandir
- rel. 2

Revision 1.5  2004/09/11 06:10:02  zboczuch
- version 1.2
- there is no more two files for client and server - so new subpackage -utils
  is used

Revision 1.4  2004/08/31 16:39:52  zboczuch
- new doc files in 1.1
- rel. 2

Revision 1.3  2004/08/31 15:42:17  darekr
- updated to 1.1

Revision 1.2  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.1  2004/07/26 18:23:03  zboczuch
- initial PLD release

